# Enum Class SyActive

java.lang.Object
java.lang.Enum<SyActive>
com.io7m.jsycamore.api.active.SyActive

All Implemented Interfaces:
  `Serializable, Comparable<SyActive>, Constable`

public enum SyActive extends Enum<SyActive>
A specification of activity for a component.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACTIVE`
  The component is active (assuming that its parent is also active).
  `INACTIVE`
  The component is inactive.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SyActive`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SyActive[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INACTIVE

    public static final SyActive INACTIVE
    The component is inactive. Accordingly, all children of the component are inactive too.

  - ### ACTIVE

    public static final SyActive ACTIVE
    The component is active (assuming that its parent is also active).

- ## Method Details

  - ### values

    public static SyActive[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SyActive valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null